---
title: UUID
slug: apis/uuid
docTags: 
createdAt: 2024-07-25T19:55:55.598Z
---

The UUID (Universally Unique Identifier) generation endpoint is designed to create a unique identifier that is used exclusively for reporting analytics data within the Klevu platform. This UUID also plays a crucial role in identifying and correlating conversion data, providing a seamless link between user interactions and the resulting analytics.

:::ApiMethodV2
```json
{
  "name": "Generate UUID",
  "method": "POST",
  "url": "https://stats.ksearchnet.com/analytics/uuid",
  "description": "End-point returns the ip address and uuid for a given request. ",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "P_HFKyvUbdsK_s4Ei_TK5",
        "language": "curl",
        "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n  CURLOPT_URL => 'https://stats.ksearchnet.com/analytics/uuid',\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_ENCODING => '',\n  CURLOPT_MAXREDIRS => 10,\n  CURLOPT_TIMEOUT => 0,\n  CURLOPT_FOLLOWLOCATION => true,\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n  CURLOPT_CUSTOMREQUEST => 'POST',\n));\n\n$response = curl_exec($curl);\n\ncurl_close($curl);\necho $response;\n",
        "customLabel": ""
      },
      {
        "id": "yGEtq5zGT-7c0ZQ4zhfIM",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n  'method': 'POST',\n  'url': 'https://stats.ksearchnet.com/analytics/uuid',\n  'headers': {\n  }\n};\nrequest(options, function (error, response) {\n  if (error) throw new Error(error);\n  console.log(response.body);\n});\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "P_HFKyvUbdsK_s4Ei_TK5"
  },
  "results": {
    "languages": [
      {
        "id": "h23L4-uKkvzWnzOgHlin5",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"ip_address\": \"X.X.X.X\",\n    \"klevu_uuid\": \"0ff61cc7-4a55-4b3a-b9f8-975ea2b248ea\"\n}"
      }
    ],
    "selectedLanguageId": "h23L4-uKkvzWnzOgHlin5"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "generate-uuid",
  "legacyHash": "55hhLKalwzVr4h-jOmtY4"
}
```
:::

